取消发货单
POST https://{handle}.myshopline.com/admin/openapi/v20260901/fulfillments/:order_id/:fulfillment_id/cancel.json
handle :店铺的唯一标识符,值为店铺域名的前缀。例如,域名为 open001.myshopline.com 的店铺,其 handle 是 open001 。取消发货单
路径参数
- fulfillment_id string required包裹id例子:
"21057401932826316666967110" - order_id string required订单id例子:
"21057401932826316666967110"
请求头
- Content-Type string required字段值固定为
application/json; charset=utf-8。 - Authorization string required资源的访问令牌。参考 应用授权 获取访问令牌,然后将获取到的访问令牌以 Bearer 格式传入。例子:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
状态码
- 200
- 401
- 429
更多状态码信息,参考 HTTP 状态码。
响应头
traceId
请求的全局唯一标识符。用于追踪请求在系统中的流转,以便于问题发生时进行定位和调试。
响应体
fulfillmentobject
包裹单详情status string包裹单状态例子:"success"tracking_number string第三方物流单号例子:"UG198768340YP"created_at string创建时间例子:2022-10-21T08:56:20-04:00line_itemsobject[]
包裹商品fulfillment_quantity integer发货数量例子:1tax_linesobject[]
税项name string税费名例子:"商品税"price string税费例子:"10.00"price_setobject
税费多币种信息presentment_moneyobject
价格amount string总额例子:"10.00"currency_code string币种例子:"USD"shop_moneyobject
店铺价格amount string总额例子:"10.00"currency_code string币种例子:"USD"rate string税率例子:"1.00"title string税费标题例子:"商品税费"price_setobject
商品价格信息presentment_moneyobject
价格amount string总额例子:"100.00"currency_code string币种例子:"USD"shop_moneyobject
店铺价格currency_code string币种例子:"USD"amount string总额例子:"100.00"name stringsku标题例子:"商品名称"variant_title string商品属性值例子:"Black / Bracelet / Bracelet""fulfillment_status string包裹状态例子:"open"id stringid例子:"466157049"grams double重量例子:10.5quantity integersku数量例子:1title string商品标题例子:"Draft"taxable boolean是否收税例子:trueproduct_id string商品序号例子:"343342675"price string商品价格例子:"100.00"variant_id stringsku序号例子:"183423409238904944"fulfillable_quantity integer剩余可以发货数量例子:1total_discount string优惠例子:"0.00"vendor string供应商version string商品版本例子:"1"total_discount_setobject
优惠价格信息presentment_moneyobject
价格currency_code string币种例子:"USD"amount string总额例子:"0.00"shop_moneyobject
店铺价格amount string总额例子:"0.00"currency_code string币种例子:"USD"propertiesobject[]
附加信息urls arrayurl列表例子:["[\"https://www.myshopline.com\"]"]value string自定义属性值例子:"value"additional string